---
title: RTCDTMFToneChangeEvent
slug: Web/API/RTCDTMFToneChangeEvent
tags:
  - DTMF
  - Reference
  - Touch-tone
  - WebRTC
  - WebRTC API
  - events
---
<div>{{APIRef("WebRTC")}}</div>

<p>The <strong><code>RTCDTMFToneChangeEvent</code></strong> interface represents events sent to indicate that {{Glossary("DTMF")}} tones have started or finished playing. This interface is used by the {{event("tonechange")}} event.</p>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the properties of {{domxref("Event")}}, this interface offers the following:</em></p>

<dl>
 <dt>{{domxref("RTCDTMFToneChangeEvent.tone")}} {{readOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} specifying the tone which has begun playing, or an empty string (<code>""</code>) if the previous tone has finished playing.</dd>
</dl>

<h2 id="Constructors">Constructors</h2>

<dl>
 <dt>{{domxref("RTCDTMFToneChangeEvent.RTCDTMFToneChangeEvent()", "RTCDTMFToneChangeEvent()")}}</dt>
 <dd>Returns a new <code>RTCDTMFToneChangeEvent</code>. It takes two parameters, the first being a {{domxref("DOMString")}} representing the type of the event (always <code>"tonechange"</code>); the second a dictionary containing the initial state of the properties of the event.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Supports the methods defined in {{domxref("Event")}}. There are no additional methods.</em></p>

<h2 id="Examples">Examples</h2>

<p>This snippet is derived loosely from the full, working example you'll find in {{SectionOnPage("/en-US/docs/Web/API/WebRTC_API/Using_DTMF", "When a tone finishes playing")}}. It appends each tone to a display box as it's played, and, once all tones have been sent, re-enabled a previously-disabled "Send" button, allowing the next DMTF string to be entered.</p>

<pre class="brush: js line-numbers  language-js"><code class="language-js"><span class="keyword token">dtmfSender.addEventListener("change", function(event) {</span>
  <span class="keyword token">if</span> <span class="punctuation token">(</span>event<span class="punctuation token">.</span>tone <span class="operator token">!==</span> <span class="string token">""</span><span class="punctuation token">)</span> <span class="punctuation token">{</span>
    dialStringBox.innerText += event.tone;
  <span class="punctuation token">}</span> <span class="keyword token">else</span> <span class="punctuation token">{</span>
    sendDTMFButton.disabled = false;
  <span class="punctuation token">}</span>
<span class="punctuation token">}, false);</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#event-RTCDTMFSender-tonechange', 'RTCDTMFToneChangeEvent') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDTMFToneChangeEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCDTMFSender")}}.</li>
</ul>
